# Poco

# class NDCScope

Library: Foundation
Package: Core
Header: Poco/NestedDiagnosticContext.h

## Description

This class can be used to automatically push a context onto the NDC stack at the beginning of a scope, and to pop the context at the end of the scope.

## Constructors

### NDCScope

NDCScope(
const std::string & info
);

Pushes a context on the stack.

### NDCScope

NDCScope(
const std::string & info,
int line,
const char * filename
);

Pushes a context on the stack.

## Destructor

### ~NDCScope

~NDCScope();

Pops the top-most context off the stack.